aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/stunnel/files/init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/stunnel/files/init')
-rw-r--r--recipes/stunnel/files/init34
1 files changed, 34 insertions, 0 deletions
diff --git a/recipes/stunnel/files/init b/recipes/stunnel/files/init
new file mode 100644
index 0000000000..8f0a0139b5
--- /dev/null
+++ b/recipes/stunnel/files/init
@@ -0,0 +1,34 @@
+#!/bin/sh
+DAEMON=/usr/sbin/stunnel
+NAME=stunnel
+DESC="SSH Tunneling"
+ARGS=""
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "* starting $DESC: $NAME... "
+ start-stop-daemon -S -x $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "* stopping $DESC: $NAME... "
+ start-stop-daemon -K -x $DAEMON
+ echo "done."
+ ;;
+ restart)
+ echo "* restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+exit 0